%define name gadmin-openvpn-server
%define version 0.1.6
%define release %mkrel 1

Summary: GAdmin-OpenVPN-Server -- A GTK+ administation tool for the OpenVPN server.
Name:	 %{name}
Version: %{version}
Release: %{release}
License: GPL
Group:	 Networking/Other
URL:	 http://mange.dynalias.org/linux.html
Source0: http://mange.dynalias.org/linux/%{name}/%{name}-%{version}.tar.xz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
#---------------------------------
BuildRequires: %{_lib}atk1.0-devel
BuildRequires: %{_lib}cairo-devel
BuildRequires: %{_lib}gdk_pixbuf2.0_0-devel
BuildRequires: %{_lib}glib2.0-devel
BuildRequires: %{_lib}gtk+2.0_0-devel
BuildRequires: %{_lib}pango1.0-devel
#---------------------------------
Requires: gtk+2
Requires:  usermode-consoleonly
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils

%description
Gadmin-OpenVPN-Server is a fast and easy to use GTK+ administration tool for the OpenVPN server.

%prep
%setup -q
%configure2_5x SYSINIT_START_CMD="chkconfig gadmin-openvpn-server on" SYSINIT_STOP_CMD="chkconfig gadmin-openvpn-server off"

%build

%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall INSTALL_USER=`id -un` INSTALL_GROUP=`id -gn`

# pam auth
install -d %{buildroot}%{_sysconfdir}/pam.d/
install -d %{buildroot}%{_sysconfdir}/security/console.apps
install -m 644 etc/pam.d/%{name} %{buildroot}%{_sysconfdir}/pam.d/%{name}
install -m 644 etc/security/console.apps/%{name} %{buildroot}%{_sysconfdir}/security/console.apps/%{name}

# desktop entry
install -d %{buildroot}%{_datadir}/applications
install -m 644 desktop/%{name}.desktop %{buildroot}%{_datadir}/applications/%{name}.desktop
desktop-file-install --vendor="" \
     --remove-category="Application" \
     --remove-category="X-Red-Hat-ServerConfig" \
     --remove-category="X-Red-Hat-Base" \
      --add-category="X-MandrivaLinux-Internet-Other" \
     --dir=%{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*


%find_lang %name


#remove
rm -rf %{buildroot}%{_datadir}/doc/%{name}

%clean
rm -rf $RPM_BUILD_ROOT
%post 
if test ! -h %{_bindir}/gadmin-openvpn-server ; then \
ln -s %{_bindir}/consolehelper %{_bindir}/gadmin-openvpn-server ; \
fi;
%{update_desktop_database}

%postun
%{clean_desktop_database}

%files -f %{name}.lang
%defattr(-,root,root)
%{_sbindir}/%{name}
%doc COPYING AUTHORS ChangeLog README
%config(noreplace) %{_sysconfdir}/pam.d/%{name}
%config(noreplace) %{_sysconfdir}/security/console.apps/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/*.png
%dir %{_datadir}/pixmaps/%{name}
%{_datadir}/pixmaps/%{name}/*.png

%changelog
* Thu Nov 13 2014 bb <bb> 0.1.6-1pclos2014
- update

* Wed Mar 03 2010 slick50 <lxgator@gmail.com> 0.1.5-1pclos2010
- 0.1.5

* Fri Dec 11 2009 slick50 <lxgator@gmail.com> 0.1.2-1pclos2010
- 0.1.2

